Name: x11-driver-video-mga
Version: 2.0.1
Release: %mkrel 1
Epoch: 2
Summary: X.org driver for Matrox Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-mga-%{version}.tar.xz
License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-mga is the X.org driver for Matrox Cards.

%prep
%autosetup -p1 -n xf86-video-mga-%{version}

%build
autoreconf -fis
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/mga_drv.so
%{_mandir}/man4/mga.*




%changelog
* Tue Jul 12 2022 tv <tv> 2:2.0.1-1.mga9
+ Revision: 1868582
- 2.0.1

* Fri Apr 01 2022 umeabot <umeabot> 2:2.0.0-4.mga9
+ Revision: 1837968
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 2:2.0.0-3.mga9
+ Revision: 1748559
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 2:2.0.0-2.mga8
+ Revision: 1544056
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 10 2018 tv <tv> 2:2.0.0-1.mga7
+ Revision: 1339922
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2:1.6.5-3.mga7
+ Revision: 1301759
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 2:1.6.5-2.mga7
+ Revision: 1207713
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 2:1.6.5-1.mga6
+ Revision: 1082235
- new release

* Thu Nov 17 2016 tv <tv> 2:1.6.4-7.mga6
+ Revision: 1067791
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2:1.6.4-6.mga6
+ Revision: 1043256
- rebuild for xorg-server 1.18.4

* Sat Feb 13 2016 luigiwalser <luigiwalser> 2:1.6.4-5.mga6
+ Revision: 959391
- use configure2_5x

* Wed Nov 11 2015 tv <tv> 2:1.6.4-4.mga6
+ Revision: 902299
- submit to core/release

* Wed Nov 11 2015 tv <tv> 2:1.6.4-3.mga6
+ Revision: 902056
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 2:1.6.4-2.mga6
+ Revision: 836013
- rebuild for xserver 1.17

* Fri Feb 20 2015 tmb <tmb> 2:1.6.4-1.mga5
+ Revision: 816159
- update to 1.6.4

* Wed Oct 15 2014 umeabot <umeabot> 2:1.6.3-7.mga5
+ Revision: 749466
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:1.6.3-6.mga5
+ Revision: 690437
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2:1.6.3-5.mga5
+ Revision: 635028
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2:1.6.3-4.mga5
+ Revision: 633686
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2:1.6.3-3.mga5
+ Revision: 614373
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2:1.6.3-2.mga5
+ Revision: 582315
- new release (fix mga#10454)

* Sun Dec 29 2013 tv <tv> 2:1.6.3-1.mga4
+ Revision: 562978
- new release (fix mga#10454)

* Fri Dec 06 2013 tmb <tmb> 2:1.6.2-5.mga4
+ Revision: 555600
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 2:1.6.2-4.mga4
+ Revision: 525399
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 2:1.6.2-3.mga4
+ Revision: 433173
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 2:1.6.2-2.mga4
+ Revision: 385994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 tmb <tmb> 2:1.6.2-1.mga3
+ Revision: 299456
- spec clean
- update to 1.6.2

* Thu Sep 06 2012 tv <tv> 2:1.6.1-2.mga3.nonfree
+ Revision: 288961
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 2:1.6.1-1.mga3
+ Revision: 273770
- new release
- new release

* Thu Jul 12 2012 tv <tv> 2:1.6.0-1.mga3
+ Revision: 270173
- new release

* Wed Jun 06 2012 tmb <tmb> 2:1.5.0-3.mga3
+ Revision: 256438
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 2:1.5.0-2.mga3
+ Revision: 253011
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2:1.5.0-1.mga3
+ Revision: 249888
- new release

* Tue Dec 06 2011 tmb <tmb> 2:1.4.13-6.mga2
+ Revision: 177557
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2:1.4.13-5.mga2
+ Revision: 153120
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 2:1.4.13-4.mga1
+ Revision: 64401
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 2:1.4.13-3.mga1
+ Revision: 50234
- imported package x11-driver-video-mga

